<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if( !class_exists( 'WeCleanElePlusCustomizerSite404' ) ) {
    class WeCleanElePlusCustomizerSite404 {

        private static $_instance = null;

        public static function instance() {
            if ( is_null( self::$_instance ) ) {
                self::$_instance = new self();
            }

            return self::$_instance;
        }

        function __construct() {
            add_action( 'customize_register', array( $this, 'register' ), 15);
        }

        function register( $wp_customize ) {

            /**
             * 404 Page
             */
            $wp_customize->add_section(
                new WeCleanEle_Customize_Section(
                    $wp_customize,
                    'site-404-page-section',
                    array(
                        'title'    => esc_html__('404 Page', 'weclean-ele-plus'),
                        'priority' => weclean_ele_customizer_panel_priority( '404' )
                    )
                )
            );

            if ( ! defined( 'WECLEAN_ELE_PRO_VERSION' ) ) {
                $wp_customize->add_control(
                    new WeCleanEle_Customize_Control_Separator(
                        $wp_customize, WECLEAN_ELE_CUSTOMISER_VAL . '[weclean-ele-plus-site-404-separator]',
                        array(
                            'type'        => 'wdt-separator',
                            'section'     => 'site-404-page-section',
                            'settings'    => array(),
                            'caption'     => WECLEAN_ELE_PLUS_REQ_CAPTION,
                            'description' => WECLEAN_ELE_PLUS_REQ_DESC,
                        )
                    )
                );
            }

        }

    }
}

WeCleanElePlusCustomizerSite404::instance();