<?php

/**
 * WooCommerce - Elementor Single Widgets Core Class
 */

namespace WeCleanEleElementor\widgets;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class WeCleanEle_Shop_Elementor_Others_Size_Guide_Widgets {

	/**
	 * A Reference to an instance of this class
	 */
	private static $_instance = null;

	/**
	 * Instance
	 *
	 * Ensures only one instance of the class is loaded or can be loaded.
	 */
	public static function instance() {

		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}

	/**
	 * Constructor
	 */
	function __construct() {

		$this->weclean_ele_shop_load_cweclean_ele_modules();

		add_action( 'weclean_ele_shop_register_widget_styles', array( $this, 'weclean_ele_shop_register_widget_styles' ), 10, 1 );
		add_action( 'weclean_ele_shop_register_widget_scripts', array( $this, 'weclean_ele_shop_register_widget_scripts' ), 10, 1 );

		add_action( 'weclean_ele_shop_preview_styles', array( $this, 'weclean_ele_shop_preview_styles') );

	}

	/**
	 * Init
	 */
	function weclean_ele_shop_load_cweclean_ele_modules() {

		require weclean_ele_shop_others_size_guide()->module_dir_path() . 'elementor/utils.php';

	}

	/**
	 * Register widgets styles
	 */
	function weclean_ele_shop_register_widget_styles( $suffix ) {

		wp_register_style( 'swiper',
			weclean_ele_shop_others_size_guide()->module_dir_url() . 'assets/css/swiper.min'.$suffix.'.css',
			array()
		);

		wp_register_style( 'wdt-shop-size-guide',
			weclean_ele_shop_others_size_guide()->module_dir_url() . 'assets/css/style'.$suffix.'.css',
			array()
		);

	}

	/**
	 * Register widgets scripts
	 */
	function weclean_ele_shop_register_widget_scripts( $suffix ) {

		wp_register_script( 'jquery-swiper',
			weclean_ele_shop_others_size_guide()->module_dir_url() . 'assets/js/swiper.min'.$suffix.'.js',
			array( 'jquery' ),
			false,
			true
		);

		wp_register_script( 'wdt-shop-size-guide',
			weclean_ele_shop_others_size_guide()->module_dir_url() . 'assets/js/scripts'.$suffix.'.js',
			array( 'jquery' ),
			false,
			true
		);

	}

	/**
	 * Editor Preview Style
	 */
	function weclean_ele_shop_preview_styles() {

		wp_enqueue_style( 'wdt-shop-size-guide' );

	}

}

WeCleanEle_Shop_Elementor_Others_Size_Guide_Widgets::instance();