<?php

namespace WeCleanEleElementor\Widgets;
use WeCleanEleElementor\Widgets\WeCleanEle_Shop_Widget_Product_Summary;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;


class WeCleanEle_Shop_Widget_Product_Summary_Extend extends WeCleanEle_Shop_Widget_Product_Summary {

	function dynamic_register_controls() {

		$this->start_controls_section( 'product_summary_extend_section', array(
			'label' => esc_html__( 'Social Options', 'weclean-ele-pro' ),
		) );

			$this->add_control( 'share_follow_type', array(
				'label'   => esc_html__( 'Share / Follow Type', 'weclean-ele-pro' ),
				'type'    => Controls_Manager::SELECT,
				'default' => 'share',
				'options' => array(
					''       => esc_html__('None', 'weclean-ele-pro'),
					'share'  => esc_html__('Share', 'weclean-ele-pro'),
					'follow' => esc_html__('Follow', 'weclean-ele-pro'),
				),
				'description' => esc_html__( 'Choose between Share / Follow you would like to use.', 'weclean-ele-pro' ),
			) );

			$this->add_control( 'social_icon_style', array(
				'label'   => esc_html__( 'Social Icon Style', 'weclean-ele-pro' ),
				'type'    => Controls_Manager::SELECT,
				'default' => '',
				'options' => array(
					'simple'        => esc_html__( 'Simple', 'weclean-ele-pro' ),
					'bgfill'        => esc_html__( 'BG Fill', 'weclean-ele-pro' ),
					'brdrfill'      => esc_html__( 'Border Fill', 'weclean-ele-pro' ),
					'skin-bgfill'   => esc_html__( 'Skin BG Fill', 'weclean-ele-pro' ),
					'skin-brdrfill' => esc_html__( 'Skin Border Fill', 'weclean-ele-pro' ),
				),
				'description' => esc_html__( 'This option is applicable for all buttons used in product summary.', 'weclean-ele-pro' ),
				'condition'   => array( 'share_follow_type' => array ('share', 'follow') )
			) );

			$this->add_control( 'social_icon_radius', array(
				'label'   => esc_html__( 'Social Icon Radius', 'weclean-ele-pro' ),
				'type'    => Controls_Manager::SELECT,
				'default' => '',
				'options' => array(
					'square'  => esc_html__( 'Square', 'weclean-ele-pro' ),
					'rounded' => esc_html__( 'Rounded', 'weclean-ele-pro' ),
					'circle'  => esc_html__( 'Circle', 'weclean-ele-pro' ),
				),
				'condition'   => array(
					'social_icon_style' => array ('bgfill', 'brdrfill', 'skin-bgfill', 'skin-brdrfill'),
					'share_follow_type' => array ('share', 'follow')
				),
			) );

			$this->add_control( 'social_icon_inline_alignment', array(
				'label'        => esc_html__( 'Social Icon Inline Alignment', 'weclean-ele-pro' ),
				'type'         => Controls_Manager::SWITCHER,
				'label_on'     => esc_html__( 'yes', 'weclean-ele-pro' ),
				'label_off'    => esc_html__( 'no', 'weclean-ele-pro' ),
				'default'      => '',
				'return_value' => 'true',
				'description'  => esc_html__( 'This option is applicable for all buttons used in product summary.', 'weclean-ele-pro' ),
				'condition'   => array( 'share_follow_type' => array ('share', 'follow') )
			) );

		$this->end_controls_section();

	}

}